<?xml version="1.0" encoding="UTF-8"?>
<!-- Service -->
<definitions xmlns="http://schemas.xmlsoap.org/wsdl/"
             xmlns:xs="http://www.w3.org/2001/XMLSchema"
             xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
             xmlns:ns="http://schemas.xmlsoap.org/soap/encoding/"
             xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/"
             xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/"
             xmlns:osci="http://www.osci.de/2006/07/wsdl/"
             xmlns:tpl="http://www.dvdv.de/dvdv/template/"
             xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
             xmlns:tns="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_4_0/XeWaffe140-Ver-wab2wap.wsdl"
             xmlns:xewaffe="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_4_0"
             name="XeWaffe140-Ver-wab2wap"
             targetNamespace="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_4_0/XeWaffe140-Ver-wab2wap.wsdl"
             xsi:schemaLocation="http://schemas.xmlsoap.org/wsdl/ http://schemas.xmlsoap.org/wsdl/">
   <documentation>
      <tpl:categories>
         <tpl:category>Waffenportal</tpl:category>
      </tpl:categories><![CDATA[<html>
<head>
    <title>Ver-wab2wap - Dienst für die Entgegennahme von waffenrechtlichen Anträgen aus dem Bereich Anzeigen (Anz) und Eintragung</title>
</head>
<body>
    <h1>Ver-wab2wap - Dienst für die Entgegennahme von waffenrechtlichen Anträgen aus dem Bereich Verbringungen (Ver), Einfuhr, Ausfuhr von Waffen und Munition</h1>
    <p>Dieses WSDL-Dokument beschreibt den Dienst für die Datenübermittlung von der Waffenbehörde zum Waffenportal im Rahmen der Verbringung (Ver), Einfuhr, Ausfuhr von Waffen und Munition.</p>
    <p>Folgende Nachrichten des XeWaffe-Schemas sind bei diesen Datenübermittlungen zulässig:</p>
    <ul>
            <li>administration.rueckweisung.0010</li>
            <li>administration.quittung.0020</li>
            <li>vorgang.nachricht.2020</li>
         </ul>
    <p>Behördenschlüssel für <i>find.servicedescription</i>-Anfragen ist der achtstellige Amtliche Gemeindeschlüssel (AGS); der zu verwendende Präfix für die Waffenbehörden lautet "<b>wab</b>".</p>
<p>Zulässige Dienstanbieter sind ausschließlich Behörden der DVDV-Behördenkategorie "<b>Waffenportal</b>". Zulässige Dienstenutzer sind Behörden der DVDV-Behördenkategorie "<b>Waffenbehörde</b>". Anfragen ans DVDV vom Typ <i>verify.category</i> sollten daher die Zuordnung zu diesen Kategorien prüfen lassen.</p>
</body></html>]]></documentation>
   <import namespace="http://www.osci.de/2006/07/wsdl/"
           location="http://www.osci.de/wsdl-osci-binding/WSDL-OSCI-Binding_1.2.xsd"/>
   <wsdl:types>
      <xs:schema xmlns="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_4_0"
                 targetNamespace="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_4_0/XeWaffe140-Ver-wab2wap.wsdl">
         <xs:import namespace="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_4_0"
                    schemaLocation="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_4_0/xewaffe-nachrichten-administration.xsd"/>
         <xs:import namespace="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_4_0"
                    schemaLocation="https://gitlab.opencode.de/akdb/xoev/xewaffe/-/raw/main/V1_4_0/xewaffe-nachrichten-vorgang.xsd"/>
         <xs:complexType name="ver-wab2wapSchemata">
            <xs:choice>
               <xs:element name="administration.quittung.0020"/>
               <xs:element name="administration.rueckweisung.0010"/>
               <xs:element name="vorgang.nachricht.2020"/>
            </xs:choice>
         </xs:complexType>
      </xs:schema>
   </wsdl:types>
   <message name="ver-wab2wapNachricht">
      <part name="ver-wab2wapNachricht" type="tns:ver-wab2wapSchemata"/>
      <part name="optionaleNachricht" type="xs:anyType"/>
   </message>
   <portType name="osciVer-wab2wapInterface">
      <operation name="sendeVer-wab2wap">
         <input message="tns:ver-wab2wapNachricht"/>
      </operation>
   </portType>
   <binding name="osciBinding" type="tns:osciVer-wab2wapInterface">
      <osci:binding signatureLevel="none" encrypted="true">
         <osci:reader name="Inhaltsdaten-Verschlüsselungszertifikat">
            <tpl:certificate/>
         </osci:reader>
      </osci:binding>
      <!-- Vorbelegung der Richtlinien zur Signatur und Verschlüsselung der Nutzdaten für alle Operationen -->
      <operation name="sendeVer-wab2wap">
         <osci:operation communicationType="one-way-active" subject="XEWAFFE_DATA"/>
         <input>
            <osci:container signatureLevel="advanced"
                            encrypted="true"
                            name="XEWAFFE_DATA"
                            required="true">
               <osci:readerRef ref="Inhaltsdaten-Verschlüsselungszertifikat"/>
               <osci:part>
                  <osci:content part="tns:ver-wab2wapNachricht"/>
               </osci:part>
            </osci:container>
            <osci:container signatureLevel="none" encrypted="false" required="false">
               <osci:part>
                  <osci:content part="tns:optionaleNachricht"/>
               </osci:part>
            </osci:container>
         </input>
      </operation>
   </binding>
   <service name="osciVer-wab2wapService"><!-- OSCI Infrastrukturserver -->
      <osci:devices>
         <osci:intermediary uri="" name="InternetIntermediär">
            <osci:signatureCertificate>
               <tpl:certificate/>
            </osci:signatureCertificate>
            <osci:cipherCertificate>
               <tpl:certificate/>
            </osci:cipherCertificate>
         </osci:intermediary>
         <osci:intermediary uri="" name="TESTAIntermediär">
            <osci:signatureCertificate>
               <tpl:certificate/>
            </osci:signatureCertificate>
            <osci:cipherCertificate>
               <tpl:certificate/>
            </osci:cipherCertificate>
         </osci:intermediary>
         <osci:addressee name="InternetEmpfänger">
            <osci:cipherCertificate>
               <tpl:certificate/>
            </osci:cipherCertificate>
         </osci:addressee>
         <osci:addressee name="TESTAEmpfänger">
            <osci:cipherCertificate>
               <tpl:certificate/>
            </osci:cipherCertificate>
         </osci:addressee>
      </osci:devices>
      <!-- Endpunkt im Internet -->
      <port name="osciVer-wab2wapInternetPort" binding="tns:osciBinding">
         <documentation>
            <tpl:use>required</tpl:use> Dieser Port ist nicht optional </documentation>
         <osci:address>
            <osci:intermediaryRef ref="InternetIntermediär"/>
            <osci:addresseeRef ref="InternetEmpfänger"/>
         </osci:address>
      </port>
      <!-- Endpunkt im TESTA -->
      <port name="osciVer-wab2wapTestaPort" binding="tns:osciBinding">
         <documentation>
            <tpl:use>optional</tpl:use> Dieser Port ist optional </documentation>
         <osci:address>
            <osci:intermediaryRef ref="TESTAIntermediär"/>
            <osci:addresseeRef ref="TESTAEmpfänger"/>
         </osci:address>
      </port>
   </service>
</definitions>
